> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Member Use Cases

You can opt in to setting the `use_cases` field in applicable requests so each `member` has an associated `use_case` to:

* Ensure only the data associated with the use case for that member (PFM or Money Movement) is returned.
* Filter a user’s data through a single `use_case`, even if data relating to a different `use_case` is in our system.

Members with the `PFM` use case will aggregate data the same as before. Our Personal Finance Management and Financial Insights products will only reflect data for members with the `PFM` use case.

Members with the `MONEY_MOVEMENT` use case won’t aggregate transaction data.

For how this affects the Connect Widget, see the [Connect Widget docs](/connect#member-use-cases).

If you're using the Connections Widget, you can set the `connections_use_case_filter` parameter to `true` so the widget only shows connections (members) that have the `use_cases` you defined in the same request. For example, if you set `connections_use_case_filter` to `true` and `use_cases` to `["PFM"]`, then only `members` containing the `PFM` as one of its `use_cases` will show in the widget. If you make the same request but set `use_cases` to `["PFM", "MONEY_MOVEMENT"]`, then `members` with either use case will show in the widget.

## Required Actions

This work requires MX to enable this functionality. Additionally, for existing integrations, MX will backfill your existing members to set their `use_cases` field.

You must ensure that each of the following requests sets the `use_cases` field to either `PFM` and/or `MONEY_MOVEMENT`:

* Any [Get Widget URL With Configuration Options](/api-reference/sso/v3/reference/widget-urls/get-widget-with-config-options) request in the SSO API that has a `widget_type` of `connect_widget` or `connections_widget`
* All [Create Member](/api-reference/nexus/reference/create-member) requests
* All [Update Member](/api-reference/nexus/reference/update-member) requests. You can use this endpoint to add, edit, or remove a use case, but at least one use case must always remain.

If making requests to one of the following Nexus `GET` endpoints, the associated member(s) must have `PFM` as a `use_case`, otherwise a 403 will return:

* [Aggregate Member](/api-reference/nexus/reference/aggregate-member)
* [Aggregate All Members](/api-reference/nexus/reference/aggregate-all-members)
* [Refresh Member](/api-reference/nexus/reference/refresh-member)
* [Refresh All Members](/api-reference/nexus/reference/refresh-all-members)

## Related Endpoints with Query Parameters

The following endpoints in Nexus accept a single `use_case` query parameter that you can set to either `MONEY_MOVEMENT` or `PFM`. For example, if you're using the List Members request, this would look like either `GET /members?use_case=PFM` or `GET /members?use_case=MONEY_MOVEMENT`.

* [List Members](/api-reference/nexus/reference/list-members) (`GET /members`)
* [List All Accounts](/api-reference/nexus/reference/list-all-accounts) (`GET /accounts`)
* [List Accounts Created by a Partner](/api-reference/nexus/reference/list-accounts-created-by-partner) (`GET /accounts/partner_created`)
* [List Accounts Created by a User](/api-reference/nexus/reference/list-user-created-accounts) (`GET /accounts/user_created`)
* [List Transactions](/api-reference/nexus/reference/list-transactions) (`GET /transactions`)
* [List Transactions by Category GUID and Date](/api-reference/nexus/reference/list-transactions-by-category-and-date) (`GET /transactions/by_category_guid/{category_guid}/by_date/{start_date}/{end_date}`)
* [List Transactions by Top-Level Category GUID and Date](/api-reference/nexus/reference/list-transactions-by-top-level-category-and-date) (`GET /transactions/by_top_level_category_guid/{top_level_category_guids}/by_date/{start_date}/{end_date}`)
* [List Transactions Created Between Two Dates](/api-reference/nexus/reference/list-transactions-created-between-dates) (`GET /transactions/created_between/{start_date}/{end_date}`)
* [List Transactions Updated Between Two Dates](/api-reference/nexus/reference/list-transactions-updated-between-dates) (`GET /transactions/updated_between/{start_date}/{end_date}`)
